Bug 12389 - [FR] add empty ~/.ssh/authorized_keys
: [FR] add empty ~/.ssh/authorized_keys
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/etcskel)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-20 23:44 by
Modified: 2009-07-01 02:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-20 23:44:37
Предлагается добавить в /etc/skel каталог .ssh (0700) и в нём -- пустой файл
authorized_keys2 (0600 или 0644).

Причин две, обе мелкие ("юзабилити"): при добавлении ключа вручную (например,
создавая пользователя, а не при помощи ssh-copy-id) неудобно набирать длинное
имя в трёх классах символов; если не знать про "2", то, помнится, были нюансы с
тем, что в ~/.ssh/authorized_keys то ли ssh2-ключи не обрабатывались, то ли уже
вообще никакие.

Для меня регулярно всплывает первая причина, почему и решил предложить.
------- Comment #1 From 2007-07-21 02:21:32 -------
Вообще-то ~/.ssh/authorized_keys2 упразднён в пользу ~/.ssh/authorized_keys; в
последнем могут быть ключи обоих типов.
Конечно, ~/.ssh/authorized_keys2 ещё обрабатывается как прежде, но в
документации он уже не упоминается.
Так что если и паковать, то ~/.ssh/authorized_keys без всяких "2".
------- Comment #2 From 2009-06-25 03:23:24 -------
Оказывается, я это уже закоммитил: 2.0.11-alt1-5-g0e41a8b.
------- Comment #3 From 2009-06-25 16:48:20 -------
etcskel-2.0.12-alt1 -> sisyphus:

* Thu Jun 25 2009 Dmitry V. Levin <ldv@altlinux> 2.0.12-alt1

- Added .xprofile script.
- Added .ssh/authorized_keys file (closes: #12389).
- .bash_profile: Fixed typo to export XDG_CACHE_HOME
  (by Artem Zolochevskiy; closes: #19793).
------- Comment #4 From 2009-06-30 21:30:09 -------
Спасибо!
------- Comment #5 From 2009-07-01 02:22:40 -------
Пожалуйста!  Приходите ещё! :)